#include "CoreStoreCharacterPerksToastWidget.h"
#include "EPlayerRole.h"
#include "Components/SlateWrapperTypes.h"
#include "Input/Events.h"

class UMenuPerkViewData;
class UMenuPowerViewData;

void UCoreStoreCharacterPerksToastWidget::SetData(TArray<UMenuPerkViewData*> characterUniquePerksViewData, const EPlayerRole role, UMenuPowerViewData* killerPowerViewData)
{

}

void UCoreStoreCharacterPerksToastWidget::OnWidgetVisibilityChanged(ESlateVisibility newVisibility)
{

}

void UCoreStoreCharacterPerksToastWidget::OnPlayerClick(const FPointerEvent& pointerEvent)
{

}

UCoreStoreCharacterPerksToastWidget::UCoreStoreCharacterPerksToastWidget()
{
	this->_isShowing = false;
}
